package com.unibuy.smartdevice.structure;

public class ReportDispatchInfoStructure {
    String reportFlowId;
    int flowType;
    String productId;
    int slot;
    int totalPrice;
    String orderId;
    int remaining;
    String mamberBarCcde;
    String VoucherId;
    int dispatchStatusType;
    int ownPrice;
    int usePoints;

    public ReportDispatchInfoStructure(String reportFlowId, int flowType, String productId, int slot, int totalPrice, String orderId, int remaining, String mamberBarCcde, String voucherId, int dispatchStatusType, int ownPrice, int usePoints) {
        this.reportFlowId = reportFlowId;
        this.flowType = flowType;
        this.productId = productId;
        this.slot = slot;
        this.totalPrice = totalPrice;
        this.orderId = orderId;
        this.remaining = remaining;
        this.mamberBarCcde = mamberBarCcde;
        VoucherId = voucherId;
        this.dispatchStatusType = dispatchStatusType;
        this.ownPrice = ownPrice;
        this.usePoints = usePoints;
    }

    public String getReportFlowId() {
        return reportFlowId;
    }

    public void setReportFlowId(String reportFlowId) {
        this.reportFlowId = reportFlowId;
    }

    public int getFlowType() {
        return flowType;
    }

    public void setFlowType(int flowType) {
        this.flowType = flowType;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public int getSlot() {
        return slot;
    }

    public void setSlot(int slot) {
        this.slot = slot;
    }

    public int getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(int totalPrice) {
        this.totalPrice = totalPrice;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public int getRemaining() {
        return remaining;
    }

    public void setRemaining(int remaining) {
        this.remaining = remaining;
    }

    public String getMamberBarCcde() {
        return mamberBarCcde;
    }

    public void setMamberBarCcde(String mamberBarCcde) {
        this.mamberBarCcde = mamberBarCcde;
    }

    public String getVoucherId() {
        return VoucherId;
    }

    public void setVoucherId(String voucherId) {
        VoucherId = voucherId;
    }

    public int getDispatchStatusType() {
        return dispatchStatusType;
    }

    public void setDispatchStatusType(int dispatchStatusType) {
        this.dispatchStatusType = dispatchStatusType;
    }

    public int getOwnPrice() {
        return ownPrice;
    }

    public void setOwnPrice(int ownPrice) {
        this.ownPrice = ownPrice;
    }

    public int getUsePoints() {
        return usePoints;
    }

    public void setUsePoints(int usePoints) {
        this.usePoints = usePoints;
    }
}
